Create batch baseline job
curl --request POST \
--url https://api.monitor.weborion.io/api/v1/batch_jobs/baseline \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"urls": [
"<string>"
],
"user_agent_id": 123,
"text_string_appear": "<string>",
"text_string_not_appear": "<string>"
}
'import requests
url = "https://api.monitor.weborion.io/api/v1/batch_jobs/baseline"
payload = {
"urls": ["<string>"],
"user_agent_id": 123,
"text_string_appear": "<string>",
"text_string_not_appear": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
urls: ['<string>'],
user_agent_id: 123,
text_string_appear: '<string>',
text_string_not_appear: '<string>'
})
};
fetch('https://api.monitor.weborion.io/api/v1/batch_jobs/baseline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Batch Jobs
Create batch baseline job
Creates a batch job to baseline (add) multiple new webpages in bulk.
POST
/
api
/
v1
/
batch_jobs
/
baseline
Create batch baseline job
Authorizations
Generate an API token from the WebOrion Defacement Monitor portal. Pass it as Authorization: Bearer <token>.
Body
application/json
Response
200
OK
⌘I
